Convova
API reference

Organizations

Organizations at an event; their capacity comes from their tags.

List organizations

GET
/events/{slug}/organizations

The event's organizations (visible only). Role/capacity is carried per-row in tags.

Path Parameters

slug*string

The event's unique slug.

Query Parameters

offset?integer

Number of items to skip. Passing offset or limit switches the response to paginated mode.

Range0 <= value
limit?integer

Max items to return (1–100). Without it, a capped full list is returned and pagination is null.

Range1 <= value <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/events/string/organizations"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",      "name": "string",      "website": "http://example.com",      "logoUrl": "http://example.com",      "description": "string",      "boothNumber": "string",      "notes": "string",      "visible": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "tags": [        {          "tag": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",            "name": "string",            "color": "string",            "sortOrder": 0          },          "sortOrder": 0        }      ]    }  ],  "error": null,  "pagination": {    "offset": 0,    "limit": 0,    "total": 0,    "hasMore": true  }}

Get an organization

GET
/events/{slug}/organizations/{organizationId}

A single visible organization.

Path Parameters

slug*string

The event's unique slug.

organizationId*string

The organization's id.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/events/string/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",    "name": "string",    "website": "http://example.com",    "logoUrl": "http://example.com",    "description": "string",    "boothNumber": "string",    "notes": "string",    "visible": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "tags": [      {        "tag": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",          "name": "string",          "color": "string",          "sortOrder": 0        },        "sortOrder": 0      }    ]  },  "error": null,  "pagination": {    "offset": 0,    "limit": 0,    "total": 0,    "hasMore": true  }}